/** GRID **/
.container {
    max-width: 100%;
    margin: 0 auto;
    width: 96%;
    padding: 0 calc(var(--grid-gutter) / 2);
}

.row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-flow: row wrap;
    flex-flow: row wrap;
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: flex-start;
}

.row.reverse {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: reverse;
    -ms-flex-direction: row-reverse;
    flex-direction: row-reverse;
}

.col {
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
}

.col,
[class*=" col-"],
[class^="col-"] {
    margin: 0 calc(var(--grid-gutter) / 2) calc(var(--grid-gutter) / 2);
}

.col-1 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 calc((100% / (12 / 1)) - var(--grid-gutter));
    flex: 0 0 calc((100% / (12 / 1)) - var(--grid-gutter));
    max-width: calc((100% / (12 / 1)) - var(--grid-gutter));
}

.col-2 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 calc((100% / (12 / 2)) - var(--grid-gutter));
    flex: 0 0 calc((100% / (12 / 2)) - var(--grid-gutter));
    max-width: calc((100% / (12 / 2)) - var(--grid-gutter));
}

.col-3 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 calc((100% / (12 / 3)) - var(--grid-gutter));
    flex: 0 0 calc((100% / (12 / 3)) - var(--grid-gutter));
    max-width: calc((100% / (12 / 3)) - var(--grid-gutter));
}

.col-4 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 calc((100% / (12 / 4)) - var(--grid-gutter));
    flex: 0 0 calc((100% / (12 / 4)) - var(--grid-gutter));
    max-width: calc((100% / (12 / 4)) - var(--grid-gutter));
}

.col-5 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 calc((100% / (12 / 5)) - var(--grid-gutter));
    flex: 0 0 calc((100% / (12 / 5)) - var(--grid-gutter));
    max-width: calc((100% / (12 / 5)) - var(--grid-gutter));
}

.col-6 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 calc((100% / (12 / 6)) - var(--grid-gutter));
    flex: 0 0 calc((100% / (12 / 6)) - var(--grid-gutter));
    max-width: calc((100% / (12 / 6)) - var(--grid-gutter));
}

.col-7 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 calc((100% / (12 / 7)) - var(--grid-gutter));
    flex: 0 0 calc((100% / (12 / 7)) - var(--grid-gutter));
    max-width: calc((100% / (12 / 7)) - var(--grid-gutter));
}

.col-8 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 calc((100% / (12 / 8)) - var(--grid-gutter));
    flex: 0 0 calc((100% / (12 / 8)) - var(--grid-gutter));
    max-width: calc((100% / (12 / 8)) - var(--grid-gutter));
}

.col-9 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 calc((100% / (12 / 9)) - var(--grid-gutter));
    flex: 0 0 calc((100% / (12 / 9)) - var(--grid-gutter));
    max-width: calc((100% / (12 / 9)) - var(--grid-gutter));
}

.col-10 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 calc((100% / (12 / 10)) - var(--grid-gutter));
    flex: 0 0 calc((100% / (12 / 10)) - var(--grid-gutter));
    max-width: calc((100% / (12 / 10)) - var(--grid-gutter));
}

.col-11 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 calc((100% / (12 / 11)) - var(--grid-gutter));
    flex: 0 0 calc((100% / (12 / 11)) - var(--grid-gutter));
    max-width: calc((100% / (12 / 11)) - var(--grid-gutter));
}

.col-12 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 calc((100% / (12 / 12)) - var(--grid-gutter));
    flex: 0 0 calc((100% / (12 / 12)) - var(--grid-gutter));
    max-width: calc((100% / (12 / 12)) - var(--grid-gutter));
}

@media screen and (max-width: 599px) {
    .container {
        width: 100%;
    }

    .col,
    [class*="col-"],
    [class^="col-"] {
        -webkit-box-flex: 0;
        -ms-flex: 0 1 100%;
        flex: 0 1 100%;
        max-width: 100%;
    }
}

@media screen and (min-width: 900px) {
    .col-1-md {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 1)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 1)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 1)) - var(--grid-gutter));
    }

    .col-2-md {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 2)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 2)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 2)) - var(--grid-gutter));
    }

    .col-3-md {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 3)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 3)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 3)) - var(--grid-gutter));
    }

    .col-4-md {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 4)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 4)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 4)) - var(--grid-gutter));
    }

    .col-5-md {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 5)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 5)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 5)) - var(--grid-gutter));
    }

    .col-6-md {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 6)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 6)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 6)) - var(--grid-gutter));
    }

    .col-7-md {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 7)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 7)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 7)) - var(--grid-gutter));
    }

    .col-8-md {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 8)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 8)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 8)) - var(--grid-gutter));
    }

    .col-9-md {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 9)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 9)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 9)) - var(--grid-gutter));
    }

    .col-10-md {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 10)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 10)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 10)) - var(--grid-gutter));
    }

    .col-11-md {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 11)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 11)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 11)) - var(--grid-gutter));
    }

    .col-12-md {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 12)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 12)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 12)) - var(--grid-gutter));
    }
}

@media screen and (min-width: 1200px) {
    .col-1-lg {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 1)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 1)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 1)) - var(--grid-gutter));
    }

    .col-2-lg {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 2)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 2)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 2)) - var(--grid-gutter));
    }

    .col-3-lg {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 3)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 3)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 3)) - var(--grid-gutter));
    }

    .col-4-lg {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 4)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 4)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 4)) - var(--grid-gutter));
    }

    .col-5-lg {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 5)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 5)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 5)) - var(--grid-gutter));
    }

    .col-6-lg {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 6)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 6)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 6)) - var(--grid-gutter));
    }

    .col-7-lg {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 7)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 7)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 7)) - var(--grid-gutter));
    }

    .col-8-lg {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 8)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 8)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 8)) - var(--grid-gutter));
    }

    .col-9-lg {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 9)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 9)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 9)) - var(--grid-gutter));
    }

    .col-10-lg {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 10)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 10)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 10)) - var(--grid-gutter));
    }

    .col-11-lg {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 11)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 11)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 11)) - var(--grid-gutter));
    }

    .col-12-lg {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% / (12 / 12)) - var(--grid-gutter));
        flex: 0 0 calc((100% / (12 / 12)) - var(--grid-gutter));
        max-width: calc((100% / (12 / 12)) - var(--grid-gutter));
    }
}